org.apache.ignite.internal.processors.cache.persistence.snapshot

## Interface SnapshotOperation

All Superinterfaces:
  Serializable

    public interface SnapshotOperation
    extends Serializable

Initial snapshot operation interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<Integer>` `cacheGroupIds()` Cache group ids included to this snapshot.
`Set<String>` `cacheNames()`
`Object` `extraParameter()`

### Method Detail

#### cacheGroupIds

    Set<Integer> cacheGroupIds()

Cache group ids included to this snapshot.

Returns:
  Cache group identifiers.

#### cacheNames

    Set<String> cacheNames()

Returns:
  Cache names included to this snapshot.

#### extraParameter

    Object extraParameter()

Returns:
  Any custom extra parameter. In case Map object is provided, contains named snapshot operation attributes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023